#!/bin/sh -norc

################################################################################
# Script d'initialisation de Netfilter (2)                                     #
#                                                                              #
# Commentaire : Script d'initialisation un peu plus complet, mais encore       #
# perfectible...                                                               #
#                                                                              #
# Cr le: 2003/04/01                    Dernire modification le : 2004/04/01 #
################################################################################


# Initialisation de la table FILTER

# Rglage des cibles par dfaut
iptables -t filter -P INPUT   DROP
iptables -t filter -P FORWARD DROP
iptables -t filter -P OUTPUT  DROP

# Suppression de toutes les chanes pr-dfinies et utilisateur de la table
iptables -t filter -F
iptables -t filter -X


# Initialisation de la table NAT

# Rglage des cibles par dfaut
iptables -t nat -P PREROUTING  ACCEPT
iptables -t nat -P OUTPUT      ACCEPT
iptables -t nat -P POSTROUTING ACCEPT

# Suppression de toutes les chanes pr-dfinies et utilisateur de la table
iptables -t nat -F
iptables -t nat -X


# Initialisation de la table MANGLE

# Rglage des cibles par dfaut
iptables -t mangle -P PREROUTING  ACCEPT
iptables -t mangle -P INPUT       ACCEPT
iptables -t mangle -P FORWARD     ACCEPT
iptables -t mangle -P OUTPUT      ACCEPT
iptables -t mangle -P POSTROUTING ACCEPT

# Suppression de toutes les chanes pr-dfinies et utilisateur de la table
iptables -t mangle -F
iptables -t mangle -X
